Bug 1119616 (CVE-2014-4268) - CVE-2014-4268 OpenJDK: Missing file choser access restrictions (Swing, 8035699)
Summary: CVE-2014-4268 OpenJDK: Missing file choser access restrictions (Swing, 8035699)
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-4268
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140715,repor...
Depends On:
Blocks: 1115835
TreeView+ depends on / blocked
 
Reported: 2014-07-15 07:06 UTC by Stefan Cornelius
Modified: 2019-06-08 20:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-15 08:12:01 UTC


Attachments (Terms of Use)

Description Stefan Cornelius 2014-07-15 07:06:42 UTC
It was discovered that the Swing file chooser did not properly
restrict access to files. An untrusted Java application or applet
could possibly use this flaw to gain access to restricted files.

Comment 1 Tomas Hoger 2014-07-15 08:12:01 UTC
This only affected OpenJDK code used on Microsoft Windows platform.  The OpenJDK packages shipped in Red Hat Enterprise Linux or Fedora were not affected by this issue.

Comment 2 Tomas Hoger 2014-08-06 15:53:50 UTC
Upstream OpenJDK commit:
http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/756071871d61


Note You need to log in before you can comment on or make changes to this bug.